classdef Callbacks
    %CALLBACKS Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        daEditor
    end
    properties (Hidden = false)
        ctrl_flag
    end
    
    methods
        function obj = Callbacks(daEditor)
            if ~isa(daEditor,'daEditor.DaEditor'); error('hast to be an DaEditor objekt'); end
            obj.daEditor = daEditor; 
        end
    end
    methods
        function obj = setKeyPressedCallback(obj)
            fh = @(src,evnt) obj.KeyPressedCallback(src,evnt);
            set(obj.editor.hEditorPane,'KeyPressedCallback',fh);
%             a = obj.editor.hEditorPane.getKeyListeners
%             java.awt.event.KeyEvent(obj.editor.hEditorPane,1,1,1,1,'a')
%             a(3).keyPressed(java.awt.event.KeyEvent(dE.hEditorPane,1,1,1,17,java.awt.event.KeyEvent.CHAR_UNDEFINED))
        end
        function obj = clearKeyPressedCallback(obj)
            set(obj.editor.hEditorPane,'KeyPressedCallback','');
        end
        function obj = setCaretUpdateCallback(obj)
            fh = @(src,evnt) obj.CaretUpdateCallback(src,evnt);
            set(obj.editor.hEditorPane,'CaretUpdateCallback',fh);
        end
        function obj = clearCaretUpdateCallback(obj)
            set(obj.editor.hEditorPane,'CaretUpdateCallback','');
        end
        function obj = clearAllCallbacks(obj)
            obj.clearKeyPressedCallback();
            obj.clearCaretUpdateCallback();
        end
        function obj = set.ctrl_flag(obj,bool)
            if ~islogical(bool); bool = false; end
            obj.ctrl_flag = bool;
        end
    end
    methods (Access = private) % callback
        function KeyPressedCallback(obj,src,evnt)
            if evnt.getKeyCode()==evnt.VK_CONTROL
                obj.ctrl_flag = true;
            else
                obj.ctrl_flag = false;
            end
        end
        function obj = CaretUpdateCallback(obj,src,evnt)
           caretIdx = evnt.getDot;
           obj.ctrl_flag
        end
    end
    
end

