function txt = MESRV_H(txt)
% berschriften
%% VERSIONING
%             Author: Andreas Justin
%           Copyright
%      Creation date: 2014-06-11
%             Matlab: 8.3.0.532 (R2014a)
%  Required Products: -
%
%% REVISIONS
% V1.0 | 2014-06-11 | Andreas Justin    | Ersterstellung
%
% See also

expr = '(%%\s*)?\$\{H(\d)\}';
m = regexp(txt,expr,'tokens');
if ~isempty(m)
    for ii = 1:numel(m)
        d = str2double(m{ii}{end});
        switch d
            case 1
                ntxt = '%% >||';
            case 2
                ntxt = '%% --||';
            otherwise
                ntxt = repmat(' .',1,d);
                ntxt(end) = '';
                ntxt = ['%%',ntxt,'|',repmat('',1,d),'|'];
        end
        expr_ = ['(%%\s*)?\$\{H',num2str(d),'\}'];
        txt = regexprep(txt, expr_, ntxt);
    end
end
