function dispDocumentation(activateFlg)
    if ~activateFlg
        fprintf('Features of extended editor functions:\n')
        fprintf('"ExtendedEditor" auf true setzen\n')
        fprintf('Automatically closing brackets: "EnableAutoBrackets" auf true setzen\n')
        fprintf('mathematical operators += -= *= /=: "EnableOperator" auf true setzen\n')
        fprintf('Script Templates. Inserts predefined scripts parts in your script with commands like "%%SPDEFAULT%%"\n')
    else
        fprintf('+--------------------+ +----------+ +-------------+                                               \n')
        fprintf('| KeyBoard Shortcuts | | Commands | |-> Variables |                                               \n')
        fprintf('+--------------------+-+----------+-+-------------+----------------------------------------------+\n')
        fprintf('|                                                                                                |\n')
        fprintf('| There are some predefined variables which you can use to insert in your replacement            |\n')
        fprintf('| files.                                                                                         |\n')
        %     fprintf('| add variables goto Matlab_extendEditorFunctionality_StringReplacements:replaceStringVariables  |\n')
        %     fprintf('| and add it to this List.                                                                       |\n')
        fprintf('|                                                                                                |\n')
        fprintf('|       ${AUTHORLONG} -> inserts the name returned by DA_getPCUserName.                          |\n')
        fprintf('|      ${AUTHORSHORT} -> inserts the first two letters (lowered) returned by DA_getPCUserName.   |\n')
        fprintf('|                        If there is only one letter it''ll  insert the long name instead.        |\n')
        fprintf('|             ${DATE} -> inserts current date with format yyyy-mm-d                              |\n')
        fprintf('|            ${DATUM} -> see ${DATE}                                                             |\n')
        fprintf('|              ${REV} -> Inserts dummy Revision line                                             |\n')
        fprintf('|               ${SP} -> Inserts the Variablename of SP in workspace, if multiple SPs are found  |\n')
        fprintf('|                        the user have to choose from a dropdownlist which one he wants to use.  |\n')
        fprintf('|                                                                                                |\n')
        fprintf('+------------------------------------------------------------------------------------------------+\n')

        fprintf('+--------------------+ +------------+ +-----------+                                               \n')
        fprintf('| KeyBoard Shortcuts | |-> Commands | | Variables |                                               \n')
        fprintf('+--------------------+-+------------+-+-----------+----------------------------------------------+\n')
        fprintf('| Replaces the Command in current editor with the content of the                                 |\n')
        fprintf('| MESRC_${COMMAND} file. To use this feature type %%COMMAND%% in the current editor                |\n')
        fprintf('| (if breakpoint bar is green the system is activated). Use ALT + INSERT (Einfg) für GUI.        |\n')
        %    fprintf('| To add more commands to the System simply create a file named MEStringRep_${COMMAND}.          |\n')
        %    fprintf('| Also add your command (in alphabetical order) here (Matlab_extendEditorFunctionality).         |\n')
        fprintf('|                                                                                                |\n')
        fprintf('|                     rev -> Inserts a revision comment.                                         |\n')
        fprintf('|                      h# -> Inserts a section with a heading format from 1 to 4                 |\n')
        fprintf('|             MESRComment -> Block comment for String Replacement functions which is ignored by  |\n')
        fprintf('|                            the insertion tool                                                  |\n')
        fprintf('|                      SC -> Inserts yyyy-mm-dd, abbreviation  as comment                        |\n')
        fprintf('|                                                                                                |\n')
        fprintf('+------------------------------------------------------------------------------------------------+\n')
        % see also daEditor.DaEditorCallbacks.runShortcutKey
        fprintf('+----------------------+ +----------+ +-----------+                                               \n')
        fprintf('|-> KeyBoard Shortcuts | | Commands | | Variables |                                               \n')
        fprintf('+----------------------+-+----------+-+-----------+----------------------------------------------+\n')
        fprintf('|                                                                                                |\n')
        fprintf('|  CTRL + SHIFT + ALT + E      -> writes daEditor object to workspace                            |\n')
        fprintf('|  CTRL + SHIFT + ALT + F      -> opens extended search and replace tool                         |\n')
        fprintf('|  CTRL + SHIFT       + Y      -> deletes current lines - multiple lines possible                |\n')
        fprintf('|                 ALT + INSERT -> opens Script Template GUI                                      |\n')
        fprintf('|  CTRL               + E      -> "better" CTRL+D                                                |\n')
        fprintf('|  CTRL               + F12    -> IntelliJ like  File Structure Search                           |\n')
        fprintf('|                                                                                                |\n')
        fprintf('+------------------------------------------------------------------------------------------------+\n')
    end