do = 1;
editPath = 'C:\Users\z0032f1t\Desktop\fileXchange\editorCallback\EditorCallback_V0.10A';
extEditPath = 'C:\Users\z0032f1t\Desktop\fileXchange\editorCallback\EditorCallback_V0.10A';
strrepPath = fullfile(extEditPath,'Matlab_Editor_StringReplacements');
repPath = fullfile(strrepPath,'Replacements');
varPath = fullfile(strrepPath,'Variables');

setappdata(0,'fileExchangeJustin_editPath',editPath);     % path to edit.m
setappdata(0,'fileExchangeJustin_strepPath',strrepPath);  % path to Matlab_Editor_StringReplacements
setappdata(0,'fileExchangeJustin_repPath',repPath);       % path to Matlab_Editor_StringReplacements/Replacements
setappdata(0,'fileExchangeJustin_varPath',varPath);       % path to Matlab_Editor_StringReplacements/Variables

addpath(extEditPath);
addpath(strrepPath);
addpath(repPath);
addpath(varPath);

if do
    fprintf('\nInitializing extended editor functionality...\n\n')
    Matlab_extendEditorFunctionality(true)
    dispDocumentation(true)
    
    addpath(editPath);
    fid = fopen(fullfile(editPath,'edit.m'),'w');
    fprintf(fid,...
        ['function edit(str)',char(13),...
            'if nargin < 1 || isempty(str)',char(13),...
                '\tstr='''';',char(13),...
            'end',char(13),...
            'editPath=getappdata(0,''fileExchangeJustin_editPath'');',char(13),...
            'rmpath(editPath);',char(13),...
            'edit(str);',char(13),...
            'addpath(editPath,''-begin'');',char(13),...
            'Matlab_extendEditorFunctionality(true,str);']);
    fclose(fid);
    clear fid
else
    fprintf('\nDisabling the extended editor functionality!\n\n')
    % Remove tools
    w(1) = warning('off','MATLAB:rmpath:DirNotFound');
    w(2) = warning('off','MATLAB:DELETE:FileNotFound');
    Matlab_extendEditorFunctionality(false)
    dispDocumentation(false)
    rmpath(editPath);
    delete(fullfile(editPath,'edit.m'))
    warning(w)
end

clear('userWithEditorExtension','w')